MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032167Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-25 13:402021-09-04 15:55
Reportermgn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032167: Visualization, AIS_InteractiveContext - setObjectStatus sets wrong status when AIS_DS_Erased
DescriptionIt is supposed to map the given object with the corresponding status passed in the method.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032162verifiedbugmaster Open CASCADE Visualization - move AIS_DisplayStatus from AIS_GlobalStatus to PrsMgr_PresentableObject 

-  Notes
(0099139)
kgv (developer)
2021-02-25 13:46
edited on: 2021-02-25 13:48

The bug has been unintentionally fixed by patch for 0032162.

-  if (theStatus != AIS_DS_None)
+  if (theStatus != PrsMgr_DisplayStatus_None)
   {
-    Handle(AIS_GlobalStatus) aStatus = new AIS_GlobalStatus (AIS_DS_Displayed, theDispMode, theSelectionMode);

+    Handle(AIS_GlobalStatus) aStatus = new AIS_GlobalStatus (theDispMode, theSelectionMode);
+    theIObj->SetDisplayStatus (theStatus);


(0099225)
kgv (developer)
2021-02-27 15:40

(0099303)
kgv (developer)
2021-03-02 16:06

Dear bugmaster,

please switch bug into VERIFIED state (integrated within 0032162).

- Issue History
Date Modified Username Field Change
2021-02-25 13:40 mgn New Issue
2021-02-25 13:40 mgn Assigned To => mgn
2021-02-25 13:40 mgn Summary Visualization - setObjectStatus sets wrong status when AIS_DS_Erased status => Visualization - setObjectStatus sets wrong status when AIS_DS_Erased
2021-02-25 13:41 mgn Status new => assigned
2021-02-25 13:43 kgv Product Version => 7.5.0
2021-02-25 13:43 kgv Summary Visualization - setObjectStatus sets wrong status when AIS_DS_Erased => Visualization, AIS_InteractiveContext - setObjectStatus sets wrong status when AIS_DS_Erased
2021-02-25 13:44 kgv Relationship added child of 0030725
2021-02-25 13:45 kgv Relationship added related to 0032162
2021-02-25 13:46 kgv Note Added: 0099139
2021-02-25 13:46 kgv Note Edited: 0099139 View Revisions
2021-02-25 13:48 kgv Note Edited: 0099139 View Revisions
2021-02-27 15:40 kgv Note Added: 0099225
2021-03-02 16:06 kgv Note Added: 0099303
2021-03-02 16:06 kgv Assigned To mgn => bugmaster
2021-03-02 16:06 kgv Status assigned => feedback
2021-03-02 16:06 kgv Resolution open => fixed
2021-03-20 14:07 bugmaster Status feedback => verified
2021-09-04 15:55 smoskvin Test case number => Not required


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker